// Kingdom of Kod
// ==============
// -Adventures of the heroes in the 'Manga Guide to Databases'

// -Filename: doctest.h
// -Special define-only, single-purpose file to integrate the doctest framework

#pragma once

// NOTE: this must be defined only once in the entire project, thus this header
// just for that sole purpose
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
// https://github.com/onqtam/doctest/blob/master/doc/markdown/benchmarks.md#cost-of-including-the-header

// The alternative define being:
/*
#define DOCTEST_CONFIG_IMPLEMENT
*/
// to allow detail specifications, etc., but primarily to use our own main(),
// and integrate tests directly into the production code itself. This approach
// has several merits, but for now we'll just use a separate test project.
// https://github.com/onqtam/doctest/blob/master/doc/markdown/main.md

#include "doctest_v2.4.6.hpp"  // integrated version

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
